> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取 Google My Business 问题与回答结果

> 此端点将提供与 Google My Business 上所列特定商家实体相关的问答详细概览。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/questions_and_answers/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/questions_and_answers/task_get/{id}:
    get:
      summary: 按 id 获取 Google My Business 问题与回答结果
      description: >-
        此端点将提供与 Google My Business
        上列出的特定商业实体相关的问题和回答的详细概览。通过向此端点提交请求，您可以访问与特定商家相关的咨询和回复的完整数据，包括问题和回答的全文，以及时间戳、用户信息等元数据。
      operationId: get_dataforseo_business_data_google_questions_and_answers_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **本系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；你可以在 **30 天内**随时使用它请求任务结果。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.keyword:
                    type: string
                    description: >-
                      *在 POST 数组中收到的关键词* **返回关键词时，将解码
                      %##（加号字符‘+’将被解码为空格字符）**。如果您在设置任务时于 `keyword` 字段中指定了 `cid`
                      参数，此字段将包含该参数；示例：`cid:2946633002421908862`。有关此参数的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)。
                  result.se_domain:
                    type: string
                    description: '*POST 数组中指定的搜索引擎域名*'
                  result.location_code:
                    type: integer
                    description: '*POST 数组中的位置代码*'
                  result.language_code:
                    type: string
                    description: '*POST 数组中的语言代码*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.cid:
                    type: string
                    description: >-
                      *Google 定义的客户端 id*，本地商家的唯一
                      id；有关此标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.feature_id:
                    type: string
                    description: '*SERP 功能的唯一标识符*'
                  result.item_types:
                    type: array
                    items:
                      type: string
                    description: >-
                      *项目类型* `items`
                      数组中出现的搜索引擎结果类型；可能的项目类型：`google_business_question_item`
                  items_without_answers:
                    type: array
                    items:
                      type: string
                    description: '*不含答案的 Google 商家问题项数组*'
                  items_without_answers.type:
                    type: string
                    description: '*元素类型 = **‘google\_business\_question\_item’***'
                  items_without_answers.rank_group:
                    type: integer
                    description: >-
                      *在具有相同 `type` 值的一组元素中的位置* 具有不同 `type` 值的元素的位置不计入
                      `rank_group`
                  items_without_answers.rank_absolute:
                    type: integer
                    description: '*在所有元素中的绝对排名*'
                  items_without_answers.question_id:
                    type: string
                    description: '*问题 ID*'
                  items_without_answers.url:
                    type: string
                    description: '*问题的 URL*'
                  items_without_answers.profile_image_url:
                    type: string
                    description: '*用户个人资料图片的 URL*'
                  items_without_answers.profile_url:
                    type: string
                    description: '*用户个人资料的 URL*'
                  items_without_answers.profile_name:
                    type: string
                    description: '*用户的显示名称*'
                  items_without_answers.question_text:
                    type: string
                    description: '*问题的当前文本*'
                  items_without_answers.original_question_text:
                    type: string
                    description: '*问题的原始文本*'
                  items_without_answers.time_ago:
                    type: string
                    description: '*问题发布的估计时间*'
                  items_without_answers.timestamp:
                    type: string
                    description: '*问题发布的确切时间*'
                  items_without_answers.items:
                    type: array
                    items:
                      type: string
                    description: '*项目数组* `google_business_question_item` 中的项目'
                  items_without_answers.items_count:
                    type: integer
                    description: '*`items` 数组中的项目数量*'
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *包含答案的 Google 商家问题项数组*
                      可能的项类型：`google_business_question_item`
                  items.type:
                    type: string
                    description: '*元素类型 = **‘google\_business\_answer\_element’***'
                  items.rank_group:
                    type: integer
                    description: >-
                      *在具有相同 `type` 值的一组元素中的位置* 具有不同 `type` 值的元素的位置不计入
                      `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: '*在所有元素中的绝对排名*'
                  items.question_id:
                    type: string
                    description: '*问题 ID*'
                  items.url:
                    type: string
                    description: '*问题的 URL*'
                  items.profile_image_url:
                    type: string
                    description: '*用户个人资料图片的 URL*'
                  items.profile_url:
                    type: string
                    description: '*用户个人资料的 URL*'
                  items.profile_name:
                    type: string
                    description: '*用户的显示名称*'
                  items.question_text:
                    type: string
                    description: '*问题的当前文本*'
                  items.original_question_text:
                    type: string
                    description: '*问题的原始文本*'
                  items.time_ago:
                    type: string
                    description: '*答案发布的估计时间*'
                  items.timestamp:
                    type: string
                    description: '*回答发布的确切时间*'
                  items.items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *`google_business_question_item` 中的项目数组* 包含 Google
                      商家问题的回答；每个问题最多返回 `5`
                      个回答；可能的项目类型：`google_business_answer_element`
                  items.answer_id:
                    type: string
                    description: '*答案 ID*'
                  items.answer_text:
                    type: string
                    description: '*答案的当前文本*'
                  items.original_answer_text:
                    type: string
                    description: '*回答的原始文本*'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````